Retire a study role
put
/ec-auth-svc/rest/v1.0/studyroles/retire/{studyroleId}
Retires the specified study role at the tenant level. The role is no longer available for assignment.
Request
Path Parameters
-
studyroleId(required): string(uuid)
UUID of the tenant role to retire. Example: "6B66F9F8B9B845CFA648A6B23F1C34F2"Example:
6B66F9F8B9B845CFA648A6B23F1C34F2
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Role retired successfully at tenant level.
Root Schema : AuthResponse
Type:
objectGeneric API response wrapper containing result, error data, response version and status.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result data of the API response; actual type depends on the API
-
status: string
(none)
Indicates request success ("success") or failure ("failure").Example:
success -
version: integer
(int32)
Version of the response schema.Example:
1
Nested Schema : result
Type:
objectResult data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41fNested Schema : details
Type:
object400 Response
Invalid study role ID supplied.
Root Schema : AuthResponse
Type:
objectGeneric API response wrapper containing result, error data, response version and status.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result data of the API response; actual type depends on the API
-
status: string
(none)
Indicates request success ("success") or failure ("failure").Example:
success -
version: integer
(int32)
Version of the response schema.Example:
1
Nested Schema : result
Type:
objectResult data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41fNested Schema : details
Type:
object